-- MySQL dump 10.13  Distrib 8.4.3, for macos14 (arm64)
--
-- Host: 127.0.0.1    Database: horizon_changers
-- ------------------------------------------------------
-- Server version	8.4.3

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `activity`
--

DROP TABLE IF EXISTS `activity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `activity` (
  `activity_id` int NOT NULL,
  `title` text,
  `price` int DEFAULT NULL,
  PRIMARY KEY (`activity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `activity`
--

LOCK TABLES `activity` WRITE;
/*!40000 ALTER TABLE `activity` DISABLE KEYS */;
INSERT INTO `activity` VALUES (1,'Taj Mahal',90),(2,'Gewürztour',120),(3,'Tanzkurs',70);
/*!40000 ALTER TABLE `activity` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `booking`
--

DROP TABLE IF EXISTS `booking`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `booking` (
  `booking_id` int NOT NULL,
  `bookingTime` datetime DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `numberFlights` int DEFAULT NULL,
  `numberInsurance` int DEFAULT NULL,
  PRIMARY KEY (`booking_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `booking`
--

LOCK TABLES `booking` WRITE;
/*!40000 ALTER TABLE `booking` DISABLE KEYS */;
INSERT INTO `booking` VALUES (1,'2024-12-12 12:05:08',1,NULL,NULL),(2,'2024-04-23 17:04:38',2,NULL,NULL),(3,'2024-02-12 22:01:43',3,NULL,NULL);
/*!40000 ALTER TABLE `booking` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `booking_activity_connection`
--

DROP TABLE IF EXISTS `booking_activity_connection`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `booking_activity_connection` (
  `booking_id` int NOT NULL,
  `activity_id` int NOT NULL,
  KEY `booking_activity_connection_activity_activity_id_fk` (`activity_id`),
  KEY `booking_activity_connection_booking_booking_id_fk` (`booking_id`),
  CONSTRAINT `booking_activity_connection_activity_activity_id_fk` FOREIGN KEY (`activity_id`) REFERENCES `activity` (`activity_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `booking_activity_connection_booking_booking_id_fk` FOREIGN KEY (`booking_id`) REFERENCES `booking` (`booking_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `booking_activity_connection`
--

LOCK TABLES `booking_activity_connection` WRITE;
/*!40000 ALTER TABLE `booking_activity_connection` DISABLE KEYS */;
/*!40000 ALTER TABLE `booking_activity_connection` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `booking_product_connection`
--

DROP TABLE IF EXISTS `booking_product_connection`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `booking_product_connection` (
  `booking_id` int NOT NULL,
  `product_id` int NOT NULL,
  PRIMARY KEY (`product_id`,`booking_id`),
  KEY `booking_product_connection_booking_booking_id_fk` (`booking_id`),
  CONSTRAINT `booking_product_connection_booking_booking_id_fk` FOREIGN KEY (`booking_id`) REFERENCES `booking` (`booking_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `booking_product_connection_product_product_id_fk` FOREIGN KEY (`product_id`) REFERENCES `product` (`product_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `booking_product_connection`
--

LOCK TABLES `booking_product_connection` WRITE;
/*!40000 ALTER TABLE `booking_product_connection` DISABLE KEYS */;
INSERT INTO `booking_product_connection` VALUES (1,3),(2,1),(3,2);
/*!40000 ALTER TABLE `booking_product_connection` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `product`
--

DROP TABLE IF EXISTS `product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `product` (
  `product_id` int NOT NULL,
  `title` text,
  `price` int DEFAULT NULL,
  `description` text,
  PRIMARY KEY (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `product`
--

LOCK TABLES `product` WRITE;
/*!40000 ALTER TABLE `product` DISABLE KEYS */;
INSERT INTO `product` VALUES (1,'Indien',1500,'Schulen und Bildungseinrichtungen in Indien bauen'),(2,'Spanien',1500,'Reise zur Rettung von Straßenhunden'),(3,'Kenia',1500,'Brunnenbau für eine bessere Welt');
/*!40000 ALTER TABLE `product` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reviews`
--

DROP TABLE IF EXISTS `reviews`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `reviews` (
  `reviews_id` int NOT NULL,
  `title` text,
  `description` text,
  `product_id` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  PRIMARY KEY (`reviews_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `reviews`
--

LOCK TABLES `reviews` WRITE;
/*!40000 ALTER TABLE `reviews` DISABLE KEYS */;
INSERT INTO `reviews` VALUES (1,'Meine Reise in Indien','Jeder Moment erzählt eine neue Geschichte....',1,1),(2,'Meine Reise in Spanien','Jeder Tag war wunderbar...',2,2),(3,'Meine Reise in Kenia','Schon bei der Ankunft war mir klar dieses Abenteuer wird unvergesslich...',3,3);
/*!40000 ALTER TABLE `reviews` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user`
--

DROP TABLE IF EXISTS `user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user` (
  `user_id` int NOT NULL AUTO_INCREMENT,
  `firstName` text,
  `lastName` text,
  `eMail` text,
  `password` text,
  `adress` text,
  `role` text,
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user`
--

LOCK TABLES `user` WRITE;
/*!40000 ALTER TABLE `user` DISABLE KEYS */;
INSERT INTO `user` VALUES (2,'Bob','Hase','bob.hase@outlook.com','09876543','Musterstraße 9, 12345 Musterstadt',NULL),(3,'Claus','Krause','claus.krause@gmail.com','passwort','Hauptstraße 10, 123890 Großbusek',NULL),(4,'Anna','Peters','anna.peters@gmail.com','mausmaus','Walltorstraße 8 34678 Riegen',NULL),(5,'cdkwjbwdk','dwbckwqd','hwdhcvkdsa','347824085851149d03448e7530d4874ce35930bacc7e393c8807a8f9a83f971d7c11b48e5e994e565df7c17c3b69df18687f79dde9b1fea90470e1aaaa6ad2c8','1/16/2025, 9:43:59 PM',NULL),(6,'zdfiizrfi','fttjj','dhhf','6b741a6a48215b2d7d974dbd0a54ebf1deaca773df0f828c42fc5012bbd9f63da4907c2bddc69ec0726f95ebd5cb6c40fcc210b4e9e28aebfe86b3c9ae6c7c64','1/16/2025, 9:57:16 PM',NULL),(7,'CDBLBDCSB','DCJBJLB','cdjsbckbcw','68552f2270d34dc859d75f542038f89cb6c8028a11525af040e668dd86e2c976b46ab22496d31bb859b45566840d34b434a440ae91c9e256b1d3c707f7030e03','1/16/2025, 10:03:36 PM',NULL),(8,'ahvjdascv,','dbwsjcl,j','cdhxnvs,dv,c','d5ef249a9d4b20c939c27d5bdbbae78bc199a721e2d3b74ceb832848bf57eb4b1b44c61a216fd7e002fc9fd50ec36ba1198ddaec9a8d80a23c40a95caf642cc4','1/17/2025, 8:58:31 AM',NULL),(9,'Peter','Kneisel','anna.peters@gmail.com','mausmaus','Berliner Str.12 35422 München',NULL),(10,'Bruce','Wayne','bat','d404559f602eab6fd602ac7680dacbfaadd13630335e951f097af3900e9de176b6db28512f2e000b9d04fba5133e8b1c6e8df59db3a8ab9d60be4b97cc9e81db',NULL,NULL);
/*!40000 ALTER TABLE `user` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2025-01-19 11:02:41
